Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.task.service
Class DefaultEscalatedDeadlineHandler

    java.lang.Object
      org.jbpm.task.service.DefaultEscalatedDeadlineHandler

All Implemented Interfaces:
  EscalatedDeadlineHandler

    public class DefaultEscalatedDeadlineHandler

extends Object
implements EscalatedDeadlineHandler

Constructor Summary
`DefaultEscalatedDeadlineHandler()`
`DefaultEscalatedDeadlineHandler(Properties properties)`

Method Summary
`void` | `executeEmailNotification(EmailNotification notification, Task task, Content content)`
`void` | `executeEscalatedDeadline(Task task, Deadline deadline, Content content, TaskService service)`
`String` | `getFrom()`
`WorkItemManager` | `getManager()`
`ContentMarshallerContext` | `getMarshallerContext()`
`String` | `getReplyTo()`
`UserInfo` | `getUserInfo()`
`void` | `setFrom(String from)`
`void` | `setManager(WorkItemManager manager)`
`void` | `setMarshallerContext(ContentMarshallerContext context)`
`void` | `setReplyTo(String replyTo)`
`void` | `setUserInfo(UserInfo userInfo)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultEscalatedDeadlineHandler

    public DefaultEscalatedDeadlineHandler(Properties properties)

### DefaultEscalatedDeadlineHandler

    public DefaultEscalatedDeadlineHandler()

Method Detail

### getUserInfo

    public UserInfo getUserInfo()

### setUserInfo

    public void setUserInfo(UserInfo userInfo)

### getFrom

    public String getFrom()

### setFrom

    public void setFrom(String from)

### getReplyTo

    public String getReplyTo()

### setReplyTo

    public void setReplyTo(String replyTo)

### getManager

    public WorkItemManager getManager()

### setManager

    public void setManager(WorkItemManager manager)

### executeEscalatedDeadline

    public void executeEscalatedDeadline(Task task,
                                         Deadline deadline,
                                         Content content,
                                         TaskService service)

  Specified by:
    `executeEscalatedDeadline` in interface `EscalatedDeadlineHandler`

### executeEmailNotification

    public void executeEmailNotification(EmailNotification notification,
                                         Task task,
                                         Content content)

### setMarshallerContext

    public void setMarshallerContext(ContentMarshallerContext context)

### getMarshallerContext

    public ContentMarshallerContext getMarshallerContext()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.